Description

super collection field only visible for selected users (Role=CURATOR|ADMIN)

First of all can the concept of the super collection be confusing and irritation for non expert users with technical background.
Furthermore is there a risk of invalid data which could be created by submitters due to misinterpretation of the concept
"super-collection". Therefore it is a good idea to hide the "super-collection" from average users and let the curation crate this relation
if needed.

bei der Collection, Super- und Subcollection gibt es 2 Hauptprobleme.

1. Das Sprachproblem: B wirde sich nie als Super-Collection bezeichnen, B ist einfach eine Collection im Sinne des Index
Herbariorum.

2. Darin gibt es z.B. die z.B. die Willdenow-Sammlung als Untersammlung, oder ibernommene Collections, die einmal unter
anderem Code eigenstandig waren.

3. Kein User/Botaniker/Sammlungsmensch versteht, wenn er eine Collection nach Index Herbariorum als Super-Collection
eingeben soll.

4. Sub-Collections sind teilweise informell, sowas wirde ich nicht als ,Collection” eingeben

Im Prinzip hast Du Recht, aber das System Collection-Sub collection ist an User vermutlich leichter zu kommunizieren als Super
Collection — collection (Diskussionspunkt, eventuell breiter im CDM team, falls nétig).
Associated revisions

Revision eb75f8eb - 07/25/2018 07:13 PM - Andreas Kohlbecker

ref #7573 superCollection only visible for advanced users

Revision 89292507 - 07/25/2018 07:15 PM - Andreas Kohlbecker
ref #7573 adding AGTENTBASE to CdmPermissionClass and creating generic RoleProber

History

#1 - 07/20/2018 12:28 PM - Andreas Kohlbecker

- Subject changed from CollectionPopEditor to CollectionPopEditor superCollection only visible for advanced users

#2 - 07/25/2018 07:18 PM - Andreas Kohlbecker
- Status changed from New to Closed

- % Done changed from 0 to 100
